Libosmium: osmium::OuterRing Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
osmium::OuterRing Class Reference

`#include <area.hpp>`

Inheritance diagram for osmium::OuterRing:
[legend]
Collaboration diagram for osmium::OuterRing:
[legend]

## Public Member Functions
| OuterRing ()
Public Member Functions inherited from osmium::NodeRefList
| NodeRefList (osmium::item_type itemtype) noexcept
bool | empty () const noexcept
size_type | size () const noexcept
const NodeRef & | operator[] (size_type n) const noexcept
NodeRef & | operator[] (size_type n) noexcept
const NodeRef & | front () const noexcept
const NodeRef & | back () const noexcept
bool | is_closed () const noexcept
bool | ends_have_same_id () const noexcept
bool | ends_have_same_location () const
osmium::Box | envelope () const noexcept
iterator | begin () noexcept
| Returns an iterator to the beginning.
iterator | end () noexcept
| Returns an iterator to the end.
const_iterator | cbegin () const noexcept
| Returns an iterator to the beginning.
const_iterator | cend () const noexcept
| Returns an iterator to the end.
const_iterator | begin () const noexcept
| Returns an iterator to the beginning.
const_iterator | end () const noexcept
| Returns an iterator to the end.
const_reverse_iterator | crbegin () const noexcept
| Returns a reverse_iterator to the beginning.
const_reverse_iterator | crend () const noexcept
| Returns a reverse_iterator to the end.
Public Member Functions inherited from osmium::memory::Item
| Item (const Item &)=delete
Item & | operator= (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (Item &&)=delete
| ~Item () noexcept=default
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (const bool removed) noexcept
diff_indicator_type | diff () const noexcept
char | diff_as_char () const noexcept
void | set_diff (const diff_indicator_type diff) noexcept

## Static Public Member Functions
static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Item
static constexpr bool | is_compatible_to (osmium::item_type) noexcept

## Static Public Attributes
static constexpr osmium::item_type | itemtype = osmium::item_type::outer_ring

## Additional Inherited Members
Public Types inherited from osmium::NodeRefList
using | value_type = NodeRef
using | reference = NodeRef&
using | const_reference = const NodeRef&
using | iterator = NodeRef*
using | const_iterator = const NodeRef*
using | const_reverse_iterator = std::reverse_iterator<const NodeRef*>
using | difference_type = std::ptrdiff_t
using | size_type = std::size_t
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type{}) noexcept
Item & | set_type (const item_type item_type) noexcept

## Detailed Description

An outer ring of an Area.

## Constructor & Destructor Documentation

## ◆ OuterRing()

osmium::OuterRing::OuterRing | ( |  | ) |
| inline

## Member Function Documentation

## ◆ is_compatible_to()

constexpr bool osmium::OuterRing::is_compatible_to | ( | osmium::item_type | t | ) |
| inlinestaticconstexprnoexcept

## Member Data Documentation

## ◆ itemtype

osmium::item_type osmium::OuterRing::itemtype = osmium::item_type::outer_ring
| staticconstexpr

The documentation for this class was generated from the following file:

- include/osmium/osm/area.hpp